# Ship with Walmart

Ship With Walmart is a carrier program that allows US-based ShipStation merchants to access pre-negotiated FedEx and USPS shipping rates directly for their Walmart orders. Operating similarly to the ShipStation Wallet model, Walmart manages the underlying carrier accounts while you benefit from their discounted rates. Rather than being an independent carrier network, Ship With Walmart seamlessly integrates these existing carrier services into your account to simplify fulfilling your Walmart orders.

## Requirements

`carrier_code`: `ship_with_walmart`

* Available for Domestic (US) shipments for orders originating from your Walmart Order Source Connection only


## Connect Ship with Walmart

You can connect your Ship with Walmart account via the [ShipStation Dashboard](https://dashboard.shipstation.com/) or through the API using the carrier connection endpoints.

## Rates

Ship with Walmart supports [rate shopping](/rate-shopping) with ShipStation V2 API.

### Example Rate Request

Here is an example of how to retrieve Ship with Walmart rates for a Walmart order.

**POST /v2/rates/**


```http
POST /v2/rates HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "rate_options": {
    "carrier_ids": [
      "se-28529731"
    ]
  },
  "shipment": {
    "ship_to": {
      "address_residential_indicator": "unknown",
      "name": "John Smith",
      "phone": "555-555-5555",
      "company_name": "",
      "address_line1": "4301 Bull Creek Rd",
      "address_line2": "",
      "address_line3": "",
      "city_locality": "Austin",
      "state_province": "TX",
      "postal_code": "78731",
      "country_code": "US"
    },
    "ship_from": {
      "address_residential_indicator": "unknown",
      "name": "Stamps.com",
      "phone": "1-800-608-2677",
      "company_name": "",
      "address_line1": "1990 E. Grand Ave.",
      "address_line2": "",
      "address_line3": "",
      "city_locality": " El Segundo",
      "state_province": "CA",
      "postal_code": "90245-5013",
      "country_code": "US"
    },
    "packages": [
      {
        "weight": {
          "unit": "pound",
          "value": 1.0
        },
        "dimensions": {
          "unit": "inch",
          "length": 4.0,
          "width": 3.0,
          "height": 2.0
        }
      }
    ],
    "order_source_code": "walmart",
    "items": [
      {
        "quantity": 1,
        "name": "Paperback Book",
        "external_order_id": "111-7115183-3994627",
        "external_order_item_id": "36324373407274"
      }
    ]
  }
}
```

You'll receive a standard rate response in return.

## Service Details

The services available will depend on the carriers and services configured in your Ship with Walmart account.

### Return Services

Ship with Walmart does not support creating return labels with ShipStation V2 API.

## Label Support

* Label sizes: 4" x 6"
* Label formats: PDF, ZPL, PNG


### Example Label Request

**POST /v2/labels**

Here's an example of how to create a Ship with Walmart label for a Walmart order.


```http
POST /v2/labels HTTP/1.1
Host: api.shipstation.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "shipment": {
    "carrier_id": "se-28529731",
    "service_code": "fedex_ground",
    "order_source_code": "walmart",
    "external_order_id": "103-4795772-1364518",
    "items": [
      {
        "quantity": 1,
        "name": "Tea Party Set",
        "external_order_id" : "114-2825781-8037847",
        "external_order_item_id" : "16902221730370"
      },
      {
        "quantity": 1,
        "name": "Party Hats",
        "external_order_id" : "114-2825781-8037847",
        "external_order_item_id" : "16902221730370"
      }
    ],
    "ship_date": "2019-04-04T05:00:00.000Z",
    "ship_from": {
      "name": "John Smith",
      "address_line1": "4301 Bull Creek Rd",
      "city_locality": "Austin",
      "state_province": "TX",
      "postal_code": "78731",
      "country_code": "US",
      "phone": "555-555-55555"
    },
    "ship_to": {
      "name": "Stamps.com",
      "address_line1": "1990 E. Grand Ave.",
      "city_locality": "El Segundo",
      "state_province": "CA",
      "postal_code": "90245-5013",
      "country_code": "US",
      "phone": "1-800-608-2677"
    },
    "packages": [
      {
        "weight": {
          "value": 2.5,
          "unit": "pound"
        },
        "dimensions": {
          "length": 24,
          "width": 10,
          "height": 3,
          "unit": "inch"
        }
      }
    ]
  }
}
```

You'll receive a standard label response in return.

### Label Reference Fields

Ship with Walmart does not support adding label messages.

### Multi-Package Labels

Ship with Walmart does not support [multi-package shipments](/multi-package).

### Label Branding

Ship with Walmart does not support [label branding](/branded-labels).

### Voiding Labels

Ship with Walmart supports [voiding labels](/void-labels) with ShipStation V2 API.

### Paperless Labels

Ship with Walmart does not support [paperless labels](/paperless-labels).

## Delivery Confirmation

| Confirmation Type | API Code | Description |
|  --- | --- | --- |
| No Confirmation | `null` | Default. No delivery confirmation is requested. |
| Signature | `signature` | Signature is required for the shipment to be delivered. This signature may be a neighbor, building manager, or the recipient can authorize the release of the package (without being present). |


See our [Delivery Confirmation page](/apis/docs/shipping/delivery-confirmation) for more details about using the `confirmation` property.

## Advanced Options

Ship with Walmart supports certain [advanced options](/advanced-options), which you can add to the `shipment` object when creating a shipment or label.

| Option | Type | Default Value | Description |
|  --- | --- | --- | --- |
| `dangerous_goods` | *boolean* | `false` | Indicates whether the shipment contains dangerous goods and requires special handling. |


To ensure you always have the most up-to-date information about a carrier's advanced options, use the [list carrier options call](/apis/shipengine/docs/reference/list-carrier-options).

## Manifests

Ship with Walmart does not support [manifesting](/manifests-scanforms) shipments with ShipStation V2 API.

## Scheduling Pickups

Ship with Walmart does not support [scheduling pickups](/schedule-pickups) using ShipStation V2 API.

## Service Points (PUDO)

Ship with Walmart does not support shipping to [service points](/service-points).

## Tracking

ShipStation V2 API's integration with Ship with Walmart supports receiving tracking updates. Review our ​[Track a Package guides​](/tracking)​ for details on tracking with the ShipStation V2 API.

## Disconnecting Your Ship with Walmart Account

See the Disconnect section in our [Delete a Carrier page](/apis/shipengine/docs/reference/carriers/delete-carrier) for the process of deleting or disconnecting a carrier from ShipStation V2 API.

> **NOTE:**
If you disconnect a carrier account and reconnect it, the account will have a new `carrier_id` in ShipStation V2 API.